#
# Conditional build:
%bcond_with	tests	# unit tests (most require network)

Summary:	Simple DNS resolver for asyncio
Summary(pl.UTF-8):	Proste rozwiązywanie nazw DNS dla asyncio
Name:		python3-aiodns
Version:	3.5.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/aiodns/
Source0:	https://files.pythonhosted.org/packages/source/a/aiodns/aiodns-%{version}.tar.gz
# Source0-md5:	30623b233a06bd318478e39828a771d2
URL:		https://pypi.org/project/aiodns/
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pycares >= 4.9.0
BuildRequires:	python3-pytest >= 8.3
BuildRequires:	python3-pytest-asyncio >= 1.0.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
aiodns provides a simple way for doing asynchronous DNS resolutions
using pycares <https://github.com/saghul/pycares>.

%description -l pl.UTF-8
aiodns udostępnia prosty sposób wykonywania asynchronicznego
rozwiązywania nazw DNS przy użyciu modułu pycares
<https://github.com/saghul/pycares>.

%package apidocs
Summary:	API documentation for Python aiodns module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona aiodns
Group:		Documentation

%description apidocs
API documentation for Python aiodns module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona aiodns.

%prep
%setup -q -n aiodns-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_asyncio.plugin \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README.rst
%{py3_sitescriptdir}/aiodns
%{py3_sitescriptdir}/aiodns-%{version}-py*.egg-info
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-aiodns.git;a=log;h=master

* Fri Jul 11 2025 Jakub Bogusz <qboosh@pld-linux.org> b68923d
- new

